OAuthProvider::calltokenHandler
OAuthProvider::__construct
OAuthProvider
PHP Manual

# OAuthProvider::checkOAuthRequest

(PECL OAuth >= 1.0.0)

OAuthProvider::checkOAuthRequest — Vérifie une requête OAuth

### Description

public void OAuthProvider::checkOAuthRequest ([ string `$uri` [, string `$method` ]] )

Vérifie une requête OAuth.

Avertissement

Cette fonction n'est pas documentée et seule la liste des arguments est disponible.

### Liste de paramètres

`uri`

  L'URI, optionnel, ou un point final.

`method`

  La méthode HTTP. Optionnel ; passez-y une constante parmi les constantes OAuth `OAUTH_HTTP_METHOD_*` .

### Valeurs de retour

Aucune valeur n'est retournée.

### Erreurs / Exceptions

Émet une erreur de niveau `E_ERROR` si la méthode HTTP ne peut être détectée.

### Voir aussi

- OAuthProvider::reportProblem - Report a problem

OAuthProvider::calltokenHandler
OAuthProvider::__construct
OAuthProvider
PHP Manual